FAULT_IN_USER_WRITEA(9)

NAME
fault_in_user_writeable - Fault in user address and verify RW access

SYNOPSIS

int fault_in_user_writeable(u32 __user * uaddr);

ARGUMENTS

uaddr
    pointer to faulting user space address

DESCRIPTION

Slow path to fixup the fault we just took in the atomic write access to uaddr.

We have no generic implementation of a non-destructive write to the user address. We know that we faulted in the atomic pagefault disabled section so we can as well avoid the #PF overhead by calling get_user_pages right away.

AUTHOR

Rusty Russell <rusty@rustcorp.com.au>
    Author.

COPYRIGHT